<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>KHolidays - the KDE library for regional holiday information.</title>
    <filename>index</filename>
    <docanchor file="index">desc</docanchor>
    <docanchor file="index">purpose</docanchor>
  </compound>
  <compound kind="file">
    <name>location.hh</name>
    <path>/home/builduser/trunk/pkgs/kdepimlibs/BUILD/kdepimlibs-4.5.0/kholidays/parsers/plan2/</path>
    <filename>location_8hh</filename>
    <includes id="position_8hh" name="position.hh" local="yes" imported="no">position.hh</includes>
    <class kind="class">KHolidays::location</class>
    <member kind="function">
      <type>const location</type>
      <name>operator+</name>
      <anchorfile>namespaceKHolidays.html</anchorfile>
      <anchor>a4299246ca151632f1018ae2892a88e05</anchor>
      <arglist>(const location &amp;begin, const location &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>const location</type>
      <name>operator+</name>
      <anchorfile>namespaceKHolidays.html</anchorfile>
      <anchor>aa390dc7e62db865c2359ae61a7185459</anchor>
      <arglist>(const location &amp;begin, unsigned int width)</arglist>
    </member>
    <member kind="function">
      <type>location &amp;</type>
      <name>operator+=</name>
      <anchorfile>namespaceKHolidays.html</anchorfile>
      <anchor>a35be0bcc6ff45d5c72789ed2218bca1b</anchor>
      <arglist>(location &amp;res, unsigned int width)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespaceKHolidays.html</anchorfile>
      <anchor>ade89061f5aa0849de8707dfb20bea6a9</anchor>
      <arglist>(std::ostream &amp;ostr, const location &amp;loc)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>position.hh</name>
    <path>/home/builduser/trunk/pkgs/kdepimlibs/BUILD/kdepimlibs-4.5.0/kholidays/parsers/plan2/</path>
    <filename>position_8hh</filename>
    <class kind="class">KHolidays::position</class>
    <member kind="function">
      <type>const position</type>
      <name>operator+</name>
      <anchorfile>namespaceKHolidays.html</anchorfile>
      <anchor>a922ac58e6f97844d96303ffda9f67fa5</anchor>
      <arglist>(const position &amp;begin, const int width)</arglist>
    </member>
    <member kind="function">
      <type>const position &amp;</type>
      <name>operator+=</name>
      <anchorfile>namespaceKHolidays.html</anchorfile>
      <anchor>aa5009bb9c176a39ee088dd55d049ad0e</anchor>
      <arglist>(position &amp;res, const int width)</arglist>
    </member>
    <member kind="function">
      <type>const position</type>
      <name>operator-</name>
      <anchorfile>namespaceKHolidays.html</anchorfile>
      <anchor>aea03734872e6c8761b4b6612c4d2f392</anchor>
      <arglist>(const position &amp;begin, const int width)</arglist>
    </member>
    <member kind="function">
      <type>const position &amp;</type>
      <name>operator-=</name>
      <anchorfile>namespaceKHolidays.html</anchorfile>
      <anchor>ae12310c50d2b08aa4c8bca38c19116e8</anchor>
      <arglist>(position &amp;res, const int width)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespaceKHolidays.html</anchorfile>
      <anchor>a75c9f942eede62c2d5ecb098f6dc2765</anchor>
      <arglist>(std::ostream &amp;ostr, const position &amp;pos)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayParserDriver</name>
    <filename>classKHolidays_1_1HolidayParserDriver.html</filename>
    <member kind="function">
      <type></type>
      <name>HolidayParserDriver</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a92ea754434396faffda1cddbd7073395</anchor>
      <arglist>(const QString &amp;filePath)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~HolidayParserDriver</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a254f1949111fa797a1c68a5c1b682df8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>error</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a092c23aafe8d91c853af845881c681b1</anchor>
      <arglist>(const QString &amp;errorMessage)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileCountryCode</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>aaab8e0e2240a7c67173901c1864fde8e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileDescription</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>aeab3dd042ee7aef594e0e4816c088963</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileLanguageCode</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a4f5ed4137fad9b6a82f5f818c7a2ea85</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileName</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a4514d53e9a72e1c3f3246afabbb0243a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Holiday::List</type>
      <name>parseHolidays</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>adef265ab49529c1ace8b4ef3cb9f66db</anchor>
      <arglist>(int calendarYear, const QString &amp;calendarType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Holiday::List</type>
      <name>parseHolidays</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a8766f3a7d236f800d49d108ee138cb10</anchor>
      <arglist>(const QDate &amp;startDate, const QDate &amp;endDate)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Holiday::List</type>
      <name>parseHolidays</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a87cf3ee757e07f0a246e16b16a81014c</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>parse</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a6b558f1f9ec8b4511861beca250d412b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>parseMetadata</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>af7f762e4fb1b5ee93092e6c364142c21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setParseCalendar</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a520b79ab034da2392996365020ef92c5</anchor>
      <arglist>(const QString &amp;calendarType)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setParseStartEnd</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a0292751f1f3c54650bcbd9764eeab772</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_fileCountryCode</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>ad8abffce46375f919611ca5d3be64307</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_fileDescription</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>aac16f586cc4490561b4187fce6406ad3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_fileLanguageCode</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>ae111a01a847c5f290e154b5fd4cf7c9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_fileName</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a0cca63f9d26bae5460b65eb2583c4856</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_filePath</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a14daa0d0001ef7ede941e0b88e1d123a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KCalendarSystem *</type>
      <name>m_parseCalendar</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a98d9ef65125c91d329c8df5c28c3014b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_parseEndYear</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a4190bc11b855257570bff1dafe6b7412</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_parseStartYear</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a3d8ecc4c12548acc195437b3c69dbea1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>m_parseYear</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a3c60c22c1a8bcf7eab7ad06224bf7862</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QDate</type>
      <name>m_requestEnd</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>aba05ad8db35b01c27f4d507d70901385</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QDate</type>
      <name>m_requestStart</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a27c562777e0f9cb9e8edfb6fb46de8e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Holiday::List</type>
      <name>m_resultList</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a0320142fcfe39029cbcd99808adb7e1f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayParserDriverPlan</name>
    <filename>classKHolidays_1_1HolidayParserDriverPlan.html</filename>
    <base>KHolidays::HolidayParserDriver</base>
    <member kind="function">
      <type></type>
      <name>HolidayParserDriverPlan</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a1ce39a59d3dc7dd9a7d9fc31bd3ab342</anchor>
      <arglist>(const QString &amp;planFilename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~HolidayParserDriverPlan</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>af026a21e418beea38ba52680297ab225</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>ae352aa5b3a4f03c10c1d102160bb8270</anchor>
      <arglist>(const KHolidays::location &amp;errorLocation, const QString &amp;errorMessage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a9dfee9809372fc8240dcb062c572f9ff</anchor>
      <arglist>(const QString &amp;errorMessage)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>adjustedMonthNumber</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a49fd2c4c59f0750b4dd7c5be46740a52</anchor>
      <arglist>(int month)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>filePath</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>af93bb3762c6c45c15ddc4d8cfb760bf3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isLeapYear</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a351be1ec5e3f4344a8d0db6a8cd83392</anchor>
      <arglist>(int year)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>julianDayFromEaster</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a9ac583778dde5429cc257431a656e763</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>julianDayFromEventName</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a8f5a29f0ddb31297debfd8dc5903bdff</anchor>
      <arglist>(const QString &amp;eventName)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>julianDayFromMonthDay</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>ae4de5c7d5358be303a8fb72c6b9d5fe0</anchor>
      <arglist>(int month, int day)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>julianDayFromPascha</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>afb3fdeae07f08c4c84b590d36d2a1e2f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>julianDayFromRelativeWeekday</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a562366f1553d5804e7a8edb9ba1deaeb</anchor>
      <arglist>(int occurrence, int weekday, int jd)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>julianDayFromWeekdayInMonth</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>aae05903c7c84ca9edaa75b9f092be475</anchor>
      <arglist>(int occurrence, int weekday, int month)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parse</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a5aafe49754c11ebc1312a85b667b8a97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseMetadata</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a54598632e7db895e38ba866a5d75a501</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>parseYear</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>ac378e44c7fc7f0900aa91e36f0b3cb79</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setEvent</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a079cc17973b9ba32936f8afa3cec8d1c</anchor>
      <arglist>(int event_jd, int observe_offset, int duration)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setEventCalendarType</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a972639c8e65c0b1dccf0108e42f8af47</anchor>
      <arglist>(const QString &amp;calendarType=&quot;gregorian&quot;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setEventColorDay</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a8bf54fc84cb79eda566e74fb296b9b7a</anchor>
      <arglist>(int dayColor)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setEventColorName</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>adf41c4e1a1e145e58b69bd62aa98e7c5</anchor>
      <arglist>(int nameColor)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setEventDate</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>ae6ccc88f2d640cddfcd0d77e1415735e</anchor>
      <arglist>(int eventYear, int eventMonth, int eventDay)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setEventDate</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a1af1beb116f3a7394f98b620384c7199</anchor>
      <arglist>(int jd)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setEventName</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>acb80c54ee4998e8dc0d3ada9bfb40beb</anchor>
      <arglist>(const QString &amp;eventName)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setFileCountryCode</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>af17e0fc7569682d4c6708bd4dc37a68a</anchor>
      <arglist>(const QString &amp;countryCode)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setFileDescription</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a3151076ecc706e63c526782f61df3b11</anchor>
      <arglist>(const QString &amp;description)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setFileLanguageCode</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a5a2b348ba98e6445e57f2468e870c79a</anchor>
      <arglist>(const QString &amp;languageCode)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setFileName</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a79f119654baf2112be6332fe64a8952d</anchor>
      <arglist>(const QString &amp;ame)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setFromDate</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a14d4408c41d2211e96b8fc81223f92eb</anchor>
      <arglist>(int offset, int condition, int duration)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setFromEaster</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a9a755fe38ad08b713a2cf81a340986ce</anchor>
      <arglist>(int offset, int duration)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setFromPascha</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>aa9c1761d7509112610b03c2ebc5984a6</anchor>
      <arglist>(int offset, int duration)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setFromRelativeWeekday</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a35d95bc2e857aefe22a3709e2eacdc76</anchor>
      <arglist>(int occurrence, int weekday, int offset, int duration)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setFromWeekdayInMonth</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>aa04eddf4d7ccac7a46550863b67064bf</anchor>
      <arglist>(int occurrence, int weekday, int month, int offset, int duration)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayParserDriverPlanOld</name>
    <filename>classKHolidays_1_1HolidayParserDriverPlanOld.html</filename>
    <base>KHolidays::HolidayParserDriver</base>
    <member kind="function">
      <type></type>
      <name>HolidayParserDriverPlanOld</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlanOld.html</anchorfile>
      <anchor>abb4ca2e1260810dd021202f9661d521d</anchor>
      <arglist>(const QString &amp;planFilename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~HolidayParserDriverPlanOld</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlanOld.html</anchorfile>
      <anchor>a933f526a705043d8fc36f33a8b254a3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlanOld.html</anchorfile>
      <anchor>a52214fb2e2f4b6070b336ca190b500f0</anchor>
      <arglist>(const QString &amp;errorMessage)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parse</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlanOld.html</anchorfile>
      <anchor>a17b0c579ec42d079fb14a46a3b46165b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseMetadata</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlanOld.html</anchorfile>
      <anchor>ab34594a78a71bf01bbba6fd47e7d1076</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayParserPlan</name>
    <filename>classKHolidays_1_1HolidayParserPlan.html</filename>
    <class kind="union">KHolidays::HolidayParserPlan::semantic_type</class>
    <class kind="struct">KHolidays::HolidayParserPlan::token</class>
    <member kind="typedef">
      <type>int</type>
      <name>debug_level_type</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>ae6efc9291b1d7b5c06e4b6261701f52f</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>location</type>
      <name>location_type</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>ac24699aaf215999aa060fa80b266958e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>token::yytokentype</type>
      <name>token_type</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a4de1c94a6689dfa96167f4e48d67a1e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HolidayParserPlan</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>aa95d995f6eac0b6ad4cc25a5f893d019</anchor>
      <arglist>(class HolidayParserDriverPlan &amp;driver_yyarg)</arglist>
    </member>
    <member kind="function">
      <type>debug_level_type</type>
      <name>debug_level</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>ae5b640d42b99188f74253235fc91e408</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>debug_stream</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a6212816fb08c6fa2d97e3c5b6ee0e282</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>parse</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a96a67980b60ce336873f960f3a8b2faf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_debug_level</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a59dc3354fc26114ba730ec932e52f554</anchor>
      <arglist>(debug_level_type l)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_debug_stream</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a7b225738e05b8ebcfbab6bd9b91dc509</anchor>
      <arglist>(std::ostream &amp;)</arglist>
    </member>
  </compound>
  <compound kind="union">
    <name>KHolidays::HolidayParserPlan::semantic_type</name>
    <filename>unionKHolidays_1_1HolidayParserPlan_1_1semantic__type.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>ival</name>
      <anchorfile>unionKHolidays_1_1HolidayParserPlan_1_1semantic__type.html</anchorfile>
      <anchor>aea7abdfdaa43df4ace538108440ac9c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>sval</name>
      <anchorfile>unionKHolidays_1_1HolidayParserPlan_1_1semantic__type.html</anchorfile>
      <anchor>aadf75d72869c0af0d6db1eaf182d93dc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KHolidays::HolidayParserPlan::token</name>
    <filename>structKHolidays_1_1HolidayParserPlan_1_1token.html</filename>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayScannerPlan</name>
    <filename>classKHolidays_1_1HolidayScannerPlan.html</filename>
    <member kind="function">
      <type></type>
      <name>HolidayScannerPlan</name>
      <anchorfile>classKHolidays_1_1HolidayScannerPlan.html</anchorfile>
      <anchor>ab6f28a48d18a0a1e28f752edc8b11f9d</anchor>
      <arglist>(std::istream *arg_yyin=0, std::ostream *arg_yyout=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual HolidayParserPlan::token_type</type>
      <name>lex</name>
      <anchorfile>classKHolidays_1_1HolidayScannerPlan.html</anchorfile>
      <anchor>ac410ab17a3833f275a7de6f206f4edca</anchor>
      <arglist>(HolidayParserPlan::semantic_type *yylval, HolidayParserPlan::location_type *yylloc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_debug</name>
      <anchorfile>classKHolidays_1_1HolidayScannerPlan.html</anchorfile>
      <anchor>a3ca936703acdcc2c5a5f15571667737b</anchor>
      <arglist>(bool b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::location</name>
    <filename>classKHolidays_1_1location.html</filename>
    <member kind="function">
      <type></type>
      <name>location</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a32a7230c9a33e20f40a9ca6f80d3d8f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initialize</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a589dec5baaa9347f6779a9fe63c76c91</anchor>
      <arglist>(std::string *fn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>step</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a1f0d0064a4f10ed8b2208ba4a8c15619</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>columns</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a5871d7eec9b7f328094df7bc2f930ba8</anchor>
      <arglist>(unsigned int count=1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lines</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>aec0003ad9eca58dd0684ad510c8ebb0e</anchor>
      <arglist>(unsigned int count=1)</arglist>
    </member>
    <member kind="variable">
      <type>position</type>
      <name>begin</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a0c730dc96e562a46c5388b0b01c1cf6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>position</type>
      <name>end</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>aacc5de0a3d49dddc998f538872b38fc2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::LunarPhase</name>
    <filename>classKHolidays_1_1LunarPhase.html</filename>
    <member kind="enumeration">
      <name>Phase</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NewMoon</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2af4907e0a05647e540d38a96d65a0bc83</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FirstQuarter</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a182adc1d93234560bc4f2050e45b1d47</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LastQuarter</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a8c8a08f9b072028e23878e5aa7d82bcd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FullMoon</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a0baad3429b9d3fdf7e55ce6ea571d082</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>None</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a32a0aa410419112797252ba675f49d6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Phase</type>
      <name>phaseAtDate</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a36dc746eb4106d3c10f695f4680d5cbe</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>phaseName</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>ae2649d6c1b7138dc1ff82d8feb27eeeb</anchor>
      <arglist>(Phase phase)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>phaseNameAtDate</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a323272a53c3ed31991eda9726125bc47</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::position</name>
    <filename>classKHolidays_1_1position.html</filename>
    <member kind="function">
      <type></type>
      <name>position</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>a2556811a9d536ab07774554e7d7f1a62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initialize</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>adbdf4aec015edf64400a7511805166ca</anchor>
      <arglist>(std::string *fn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lines</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>aa47dbaa4d737fa34a6edc8a73fb91c03</anchor>
      <arglist>(int count=1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>columns</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>aab77c98030cffd4c1dca4462c5faba13</anchor>
      <arglist>(int count=1)</arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>column</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>a28e50582f41959bfb7a8c3234d22765d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string *</type>
      <name>filename</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>a95a66368c657e8cb07e417505953e6f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>line</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>a70bd0f0c091e8c82df32d53b032806d0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::slice</name>
    <filename>classKHolidays_1_1slice.html</filename>
    <templarg>T</templarg>
    <templarg>S</templarg>
    <member kind="function">
      <type></type>
      <name>slice</name>
      <anchorfile>classKHolidays_1_1slice.html</anchorfile>
      <anchor>aa10ee1f88a261c8b90d79e637a40b6c0</anchor>
      <arglist>(const S &amp;stack, unsigned int range)</arglist>
    </member>
    <member kind="function">
      <type>const T &amp;</type>
      <name>operator[]</name>
      <anchorfile>classKHolidays_1_1slice.html</anchorfile>
      <anchor>ae5cc1aae4f920fe14d01908e69ade70d</anchor>
      <arglist>(unsigned int i) const </arglist>
    </member>
  </compound>
</tagfile>
